Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226334 - Merge Review: pykickstart
Summary: Merge Review: pykickstart
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:45 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-11 17:22:38 UTC
dcantrell: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:45:26 UTC
Fedora Merge Review: pykickstart

http://cvs.fedora.redhat.com/viewcvs/devel/pykickstart/
Initial Owner: clumens@redhat.com

Comment 1 David Cantrell 2007-06-08 20:15:55 UTC
Initial rpmlint run:

W: pykickstart macro-in-%changelog ksappend


Comment 2 David Cantrell 2007-06-08 20:22:38 UTC
The following:
%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig
import get_python_lib; print get_python_lib()")}

Should be:
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from
distutils.sysconfig import get_python_lib; print get_python_lib()")}


Comment 3 David Cantrell 2007-06-08 20:24:33 UTC
The Source0 field should contain the URL to the downloadable source or a comment
like this above it:

# This is a Red Hat maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.

Comment 4 Chris Lumens 2007-06-08 21:15:28 UTC
Not going to fix the rpmlint warning because pykickstart is special, and that
refers to the %ksappend section in the file format.  The other two are fixed in
1.2-2.

Comment 5 David Cantrell 2007-06-11 17:22:38 UTC
Sounds good to me.  Closing.

Comment 6 Jason Tibbitts 2007-06-20 16:54:49 UTC
Hmm, fedora-review is still set to '?'.  If this was approved, could someone
(preferrably the person who approved it) set it to '+'?


Note You need to log in before you can comment on or make changes to this bug.